Package org.eclipse.jdt.ui.actions

# Class OpenNewSourceFolderWizardAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.AbstractOpenWizardAction
org.eclipse.jdt.ui.actions.OpenNewSourceFolderWizardAction

All Implemented Interfaces:
  `IAction`

public class OpenNewSourceFolderWizardAction extends AbstractOpenWizardAction

Action that opens the new source folder wizard. The action initializes the wizard with the selection as configured by `AbstractOpenWizardAction.setSelection(IStructuredSelection)` or the selection of the active workbench window.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`OpenNewSourceFolderWizardAction()`
Creates an instance of the `OpenNewSourceFolderWizardAction`.

## Method Summary

Modifier and Type
Method
Description
`protected final INewWizard`
`createWizard()`
Creates and configures the wizard.

### Methods inherited from class org.eclipse.jdt.ui.actions.AbstractOpenWizardAction

`doCreateProjectFirstOnEmptyWorkspace, getCreatedElement, getSelection, getShell, run, setSelection, setShell`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenNewSourceFolderWizardAction

public OpenNewSourceFolderWizardAction()
Creates an instance of the `OpenNewSourceFolderWizardAction`.

## Method Details

### createWizard

protected final INewWizard createWizard() throws CoreException
Description copied from class: `AbstractOpenWizardAction`
Creates and configures the wizard. This method should only be called once.

Specified by:
  `createWizard` in class `AbstractOpenWizardAction`
Returns:
  returns the created wizard.
Throws:
  `CoreException` - exception is thrown when the creation was not successful.